putty
API ReferenceArtifacts

Read a brand kit

Returns one brand kit. A kit owned by another user answers with the same 404 as a kit that does not exist.

GET
/brand/kits/{kitId}

Returns one brand kit. A kit owned by another user answers with the same 404 as a kit that does not exist.

Path Parameters

kitId*string

The brand kit id.

Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/brand/kits/string"
{  "id": "string",  "name": "string",  "tagline": "string",  "voice": [    "string"  ],  "palette": {    "primary": "string",    "primaryForeground": "string",    "secondary": "string",    "secondaryForeground": "string",    "accent": "string",    "accentForeground": "string",    "background": "string",    "foreground": "string",    "muted": "string",    "border": "string",    "destructive": "string"  },  "fonts": {    "heading": {      "family": "string",      "weights": [        100      ]    },    "body": {      "family": "string",      "weights": [        100      ]    }  },  "logoAssetIds": [    "string"  ],  "contrast": {    "passes": true,    "pairs": [      {        "foreground": "string",        "background": "string",        "ratio": 0,        "level": "aa",        "message": "string"      }    ],    "failures": [      {        "foreground": "string",        "background": "string",        "ratio": 0,        "level": "aa",        "message": "string"      }    ]  },  "createdAt": "string",  "updatedAt": "string"}